Subject: bug#5550: 23.1.92; bookmark stops relocating

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 09 Feb 2010 08:49:16 +0100

Hi Leo,
precedent bug is fixed, just have to wait my patch is applied...
This one is fixed also:

now bookmark use instead of file-error==>bookmark-error-no-filename
So please, use `bookmark-error-no-filename' instead of `file-error' in all
functions of bookmark.el to handle errors.(typically in condition-case
statement).

Leo <[email-masked]> writes:

> It seems this is the third bug report from me regarding bookmark. I
> wonder what has happened to it.
>
> Previously if I 'C-x r b' and choose a bookmark whose target no longer
> exists, for example, a directory, I am offered to relocate the target.
>
> Now emacs just opens a blank buffer. I recently upgraded to snow leopard
> and so I ran into lots of such cases.
>
>
> In GNU Emacs 23.1.92.2 (x86_64-apple-darwin10.2.0, Carbon Version 1.6.0 AppKit 1038.25)
>  of 2010-02-03 on Victoria.local
> Windowing system distributor `Apple Inc.', version 10.6.2
> configured using `configure  '--prefix=/usr/local/unix/emacs' '--with-mac''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: nil
>   value of $XMODIFIERS: nil
>   locale-coding-system: iso-latin-1-unix
>   default enable-multibyte-characters: t
>
> Major mode: Bookmark Menu
>
>
>
>
>
>

-- 
Thierry Volpiatto